From b257591409a6c5d5804b0e34a81bd95912a07c59 Mon Sep 17 00:00:00 2001
From: pazz <patricktotzke@gmail.com>
Date: Tue, 12 Jul 2011 21:17:03 +0100
Subject: [PATCH 6/8] pep8 compliance for tag.py

---
 bindings/python/notmuch/tag.py |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/bindings/python/notmuch/tag.py b/bindings/python/notmuch/tag.py
index 65a9118..a664578 100644
--- a/bindings/python/notmuch/tag.py
+++ b/bindings/python/notmuch/tag.py
@@ -19,12 +19,12 @@ Copyright 2010 Sebastian Spaeth <Sebastian@SSpaeth.de>'
 from ctypes import c_char_p
 from notmuch.globals import nmlib, STATUS, NotmuchError
 
-#------------------------------------------------------------------------------
+
 class Tags(object):
     """Represents a list of notmuch tags
 
     This object provides an iterator over a list of notmuch tags (which
-    are unicode instances). 
+    are unicode instances).
 
     Do note that the underlying library only provides a one-time
     iterator (it cannot reset the iterator to the start). Thus iterating
@@ -33,7 +33,7 @@ class Tags(object):
     STATUS.NOT_INITIALIZED. Also note, that any function that uses
     iteration (nearly all) will also exhaust the tags. So both::
 
-      for tag in tags: print tag 
+      for tag in tags: print tag
 
     as well as::
 
@@ -62,7 +62,7 @@ class Tags(object):
              valid, we will raise an :exc:`NotmuchError`
              (STATUS.NULL_POINTER) if it is `None`.
         :type tags_p: :class:`ctypes.c_void_p`
-        :param parent: The parent object (ie :class:`Database` or 
+        :param parent: The parent object (ie :class:`Database` or
              :class:`Message` these tags are derived from, and saves a
              reference to it, so we can automatically delete the db object
              once all derived objects are dead.
@@ -75,7 +75,7 @@ class Tags(object):
         self._tags = tags_p
         #save reference to parent object so we keep it alive
         self._parent = parent
-    
+
     def __iter__(self):
         """ Make Tags an iterator """
         return self
@@ -115,7 +115,7 @@ class Tags(object):
         if self._tags is None:
             raise NotmuchError(STATUS.NOT_INITIALIZED)
 
-        i=0
+        i = 0
         while nmlib.notmuch_tags_valid(self._msgs):
             nmlib.notmuch_tags_move_to_next(self._msgs)
             i += 1
@@ -136,4 +136,4 @@ class Tags(object):
     def __del__(self):
         """Close and free the notmuch tags"""
         if self._tags is not None:
-            nmlib.notmuch_tags_destroy (self._tags)
+            nmlib.notmuch_tags_destroy(self._tags)
-- 
1.7.4.1

